petsc-3.4.2 2013-07-02

# DMCreate

Creates an empty DM object. The type can then be set with DMSetType().

### Synopsis

    #include "petscdm.h"
    PetscErrorCode  DMCreate(MPI_Comm comm,DM *dm)

If you never call DMSetType() it will generate an error when you try to use the vector.

Collective on MPI_Comm

### Input Parameter

comm -The communicator for the DM object

### Output Parameter

dm -The DM object

### See Also

DMSetType(), DMDA, DMSLICED, DMCOMPOSITE

Level:beginner
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex61view.c.html